framework:
  messenger:
    default_bus: command.bus
    buses:
      command.bus:
        middleware:
          - doctrine_transaction
      query.bus:

    # Uncomment this (and the failed transport below) to send failed messages to this transport for later handling.
    # failure_transport: failed

    transports:
    # https://symfony.com/doc/current/messenger.html#transport-configuration
    # async: '%env(MESSENGER_TRANSPORT_DSN)%'
    # failed: 'doctrine://default?queue_name=failed'
    # sync: 'sync://'

    routing:
    # Route your messages to the transports
    # 'App\Message\YourMessage': async
